package body MSHTML.IHTMLFiltersCollection_Object is

   function Get_length
     (This : IHTMLFiltersCollection_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFiltersCollection_Get_length);
   end Get_length;

   function Getu_newEnum
     (This : IHTMLFiltersCollection_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFiltersCollection_Getu_newEnum);
   end Getu_newEnum;

   function item
     (This      : IHTMLFiltersCollection_Type;
      pvarIndex : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLFiltersCollection_item,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pvarIndex),
         Free);
   end item;

end MSHTML.IHTMLFiltersCollection_Object;

